### Method

# Clutter Actor set_text_direction

#### Declaration [src]

    void
    clutter_actor_set_text_direction (
      ClutterActor* self,
      ClutterTextDirection text_dir
    )

#### Description [src]

Sets the `ClutterTextDirection` for an actor

The passed text direction must not be `CLUTTER_TEXT_DIRECTION_DEFAULT`

This function will recurse inside all the children of `self`.

Sets property | `Clutter.Actor:text-direction`

#### Parameters

`text_dir`

  Type: `ClutterTextDirection`

  The text direction for `self`.